Package: org.grails.events

## [Groovy] Class ReplyDecorator

- org.grails.events.ClosureEventConsumer.ReplyDecorator

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `reactor.bus.Bus` | `observable`
    `java.lang.Object` | `replyTo`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClosureEventConsumer.ReplyDecorator (java.lang.Object replyTo, reactor.bus.Bus observable)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `reply()`
    `void` | `reply(java.lang.Object data)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### final reactor.bus.Bus observable

    - #### final java.lang.Object replyTo

  - ### Constructor Detail

    - #### ClosureEventConsumer.ReplyDecorator(java.lang.Object replyTo, reactor.bus.Bus observable)

  - ### Method Detail

    - #### void reply()

    - #### void reply(java.lang.Object data)